return {
    dir = "~/Projects/laravel.nvim",
    dependencies = {
        "tpope/vim-dotenv",
        "nvim-telescope/telescope.nvim",
        "MunifTanjim/nui.nvim",
        "kevinhwang91/promise-async",
    },
    cmd = { "Laravel" },
    keys = {
        { "<leader>la", ":Laravel artisan<cr>" },
        { "<leader>lr", ":Laravel routes<cr>" },
        { "<leader>lm", ":Laravel related<cr>" },
    },
    event = { "VeryLazy" },
    opts = {
        lsp_server = "intelephense",
        artisan_path = "app/api/artisan",
        environments = {
            default = "docker-compose",
            auto_discover = false,
            definitions = {
                {
                    name = "docker-compose",
                    condition = {
                        file_exists = { "docker-compose.yml" },
                        executable = { "docker" },
                    },
                    commands = {
                        compose = { "docker", "compose" },
                        {
                            commands = { "php", "composer", "npm" },
                            docker = {
                                container = {
                                    env = "APP_SERVICE",
                                    default = "app-fpm",
                                },
                                exec = { "docker", "compose", "exec", "-it" },
                            },
                        },
                    },
                },
            },
        },
    },
    config = true,
}
